package core

// Implementation: github.com/lucasdataproyects/devfactory/core

// GroupBy agrupa elementos de un slice por clave generada con una funcion.
func GroupBy[T any, K comparable](slice []T, keyFn func(T) K) map[K][]T {
	// stub
	return nil
}
